2019-04-28 - Gcc, Systemd, Kernels, Virtualbox, Qt5, Deepin (Stable Update)

Frische News und Updates zu Manjaro Linux finden sich zeitnah hier ein!
Antworten

Hattet ihr Probleme mit dem Update?

Hatte keine Probleme.
6
75%
Ja, ich hatte ein Problem das ich allerdings selbst lösen konnte. ( Bitte erläutert uns eure Lösung )
1
13%
Ja, ich habe aufgrund des Updates ein Problem. ( Bitte beschreibt das Problem )
1
13%
 
Insgesamt abgegebene Stimmen: 8

Benutzeravatar

Themen Author
Blueriver
Moderator
Moderator
Beiträge: 1883
Registriert: Donnerstag 19. Mai 2016, 15:49
CPU: AMD Quad Core A8 3,6GHz
GPU: AMD/ATI Radeon R7
Kernel: 5.0
DE: LXQT und XFCE Stable, Testing, Unstable
GPU Treiber: Free
Hat sich bedankt: 3 Mal
Danksagung erhalten: 50 Mal

2019-04-28 - Gcc, Systemd, Kernels, Virtualbox, Qt5, Deepin (Stable Update)

#1

#1 Beitrag von Blueriver » Sonntag 28. April 2019, 22:02

Hi community,

here comes our stable update number thirteen.
We have quite a big bundle here and hope to have done our best to make another transition as smooth as possible for you.
Package upgrades include:

Gcc 8.3
point releases for kernels 4.14, 4.19, 4.4, 4.9 and 5.0
qt5 5.12.3
Systemd which has received some bugfixes in the 242.16 build
KDE-framework 5.57 with Plasma applications 19.04
also more fresh Deepin and Gnome packages
vte3 0.56.2
Bash 5.0.003
Mesa 19.0.3
wine 4.6
qemu 4.0 aswell as some
python updates.



NOTE:

After holding back for a while I have now updated linux44. We were able to fix the catalyst compiling issue, nvidia-340xx unfortunately not. So be aware that, if you rely on this nvidia legacy driver you will have to switch to one of our other kernels.

We had to remove xplayer due to its incompatability with updated gstreamer 1.16. We recommend you use vlc or another player of your choice as a replacement - at least for now...

The updates of Nextcloud and Tmux might require you to adjust your config.

already with last stable update we have dropped inhouse maintenance of brave browser. Please make sure you update from the AUR!
We hope you enjoy another flawless update and wish you a great remaining Sunday.

Bernhard


Manjaro v18.0.4 released!
We updated our flagship ISOs of Manjaro Illyria with the latest packages. It comes with refreshed packages and updated tools. You may want to download our XFCE Edition with the latest 4.13 packages, aswell as our most recent styling efforts. Our KDE fans may try our KDE Edition with the latest KDE v5.15 instead. And our GNOME fans may try our Gnome Edition with the latest GNOME v3.30.


Current supported Kernels
linux316 3.16.65
linux318 3.18.138 [EOL]
linux44 4.4.178 (no legacy nvidia-340 module, see above!)
linux49 4.9.170
linux414 4.14.113
linux419 4.19.36
linux420 4.20.17 [EOL]
linux50 5.0.9
linux51 5.1-rc1 (no extramodules yet)
linux419-rt 4.19.31_rt18
linux50-rt 5.0.7_rt8

A detailed list of the package changes can be found here.

Quelle

Benutzeravatar

OlliFri
Erfahrenes Foren Mitglied
Erfahrenes Foren Mitglied
Beiträge: 66
Registriert: Sonntag 15. Mai 2016, 11:37
Wohnort: Oranienburg
CPU: AMD Phenom 9650 4 Kerne
GPU: NVIDIA GF119 - GeForce GT 610
Kernel: 5.XX
DE: Deepin
GPU Treiber: NVIDIA 390.116
Hat sich bedankt: 1 Mal
Danksagung erhalten: 5 Mal

Re: 2019-04-28 - Gcc, Systemd, Kernels, Virtualbox, Qt5, Deepin (Stable Update)

#2

#2 Beitrag von OlliFri » Montag 29. April 2019, 10:02

Hi Fans,
Beim Deepin und Budgie Desktop ohne Probleme durchgelaufen.
Jetzt funzt auch wieder das Dock vom Deepin!
Ein dickes Dankeschön ans Team!

Gruß Olli

Benutzeravatar

Themen Author
Blueriver
Moderator
Moderator
Beiträge: 1883
Registriert: Donnerstag 19. Mai 2016, 15:49
CPU: AMD Quad Core A8 3,6GHz
GPU: AMD/ATI Radeon R7
Kernel: 5.0
DE: LXQT und XFCE Stable, Testing, Unstable
GPU Treiber: Free
Hat sich bedankt: 3 Mal
Danksagung erhalten: 50 Mal

Re: 2019-04-28 - Gcc, Systemd, Kernels, Virtualbox, Qt5, Deepin (Stable Update)

#3

#3 Beitrag von Blueriver » Montag 29. April 2019, 11:35

Bei mir ist auch alles besten! :)


Josef_K
Forum Kenner
Forum Kenner
Beiträge: 168
Registriert: Mittwoch 18. Mai 2016, 16:08
CPU: i5-4460
GPU: GeForce GT 730
Kernel: 4.20
DE: XFCE
GPU Treiber: nvidia v: 410.78
Danksagung erhalten: 6 Mal

Re: 2019-04-28 - Gcc, Systemd, Kernels, Virtualbox, Qt5, Deepin (Stable Update)

#4

#4 Beitrag von Josef_K » Montag 29. April 2019, 16:42

Und täglich grüßt das Murmeltier. So kann man mein Problem mit Manjaro beschreiben.
Fehler: Konnte Datei 'kcrash-5.57.0-1-x86_64.pkg.tar.xz' nicht von mirror.ragenetwork.de empfangen: Erwartete Downloadgröße überschritten
Fehler: Konnte Datei 'qt5-location-5.12.3-1-x86_64.pkg.tar.xz' nicht von mirror.ragenetwork.de empfangen: Erwartete Downloadgröße überschritten
Fehler: Konnte Datei 'qt5-quickcontrols-5.12.3-1-x86_64.pkg.tar.xz' nicht von mirror.ragenetwork.de empfangen: Erwartete Downloadgröße überschritten
Fehler: Konnte Datei 'libreoffice-still-6.1.5-5-x86_64.pkg.tar.xz' nicht von mirror.ragenetwork.de empfangen: Erwartete Downloadgröße überschritten
...

sudo pacman-mirrors --fasttrack 10

:: Datei /var/cache/pacman/pkg/android-tools-9.0.0_r35-1-x86_64.pkg.tar.xz ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n]
:: Datei /var/cache/pacman/pkg/inkscape-0.92.4-5-x86_64.pkg.tar.xz ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n]
:: Datei /var/cache/pacman/pkg/intel-tbb-2019.5-1-x86_64.pkg.tar.xz ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n]
...

sudo rm -r /etc/pacman.d/gnupg

sudo pacman -Sy gnupg archlinux-keyring manjaro-keyring

Fehler: key "EEEEE2EEEE2EEEEE" could not be looked up remotely
Fehler: key "6D1655C14CE1C13E" could not be looked up remotely
Fehler: key "CAA6A59611C7F07E" could not be looked up remotely
Fehler: Erforderlicher Schlüssel fehlt im Schlüsselbund
Fehler: Konnte den Vorgang nicht durchführen (Unerwarteter Fehler)
Fehler sind aufgetreten, keine Pakete wurden aktualisiert.

gpg --recv-keys EEEEE2EEEE2EEEEE
...

sudo pacman-key --init

sudo pacman-key --populate archlinux manjaro

sudo pacman-key --refresh-keys

sudo pacman -Sc

sudo pacman -Syyu

Fehler: Konnte Datei 'gstreamer-1.16.0-1-x86_64.pkg.tar.xz' nicht von mirror.philpot.de empfangen: Erwartete Downloadgröße überschritten
Fehler: Konnte Datei 'gstreamer-1.16.0-1-x86_64.pkg.tar.xz' nicht von mirror.ragenetwork.de empfangen: Erwartete Downloadgröße überschritten
Fehler: Konnte Datei 'gstreamer-1.16.0-1-x86_64.pkg.tar.xz' nicht von manjaro.moson.eu empfangen: Erwartete Downloadgröße überschritten
Fehler: Konnte Datei 'gstreamer-1.16.0-1-x86_64.pkg.tar.xz' nicht von mirror.alpix.eu empfangen: Erwartete Downloadgröße überschritten
Fehler: Konnte Datei 'gstreamer-1.16.0-1-x86_64.pkg.tar.xz' nicht von mirror.netzspielplatz.de empfangen: Erwartete Downloadgröße überschritten
...
Und alles wieder auf Anfang.

@ LQ: Die Option --noconfirm erspart nur das Bestätigen der Fehlermeldung.

War es das jetzt mit Manjaro?

Benutzeravatar

ManjaroHans
Neues Foren Mitglied
Neues Foren Mitglied
Beiträge: 21
Registriert: Dienstag 8. Januar 2019, 16:12
CPU: Intel Core i5-8600
GPU: Intel Onboard
Kernel: 4.20-17-1
DE: KDE Plasma
GPU Treiber: Intel Open Source Technology Center
Hat sich bedankt: 2 Mal

Re: 2019-04-28 - Gcc, Systemd, Kernels, Virtualbox, Qt5, Deepin (Stable Update)

#5

#5 Beitrag von ManjaroHans » Mittwoch 1. Mai 2019, 07:15

...bei mir lief wieder einmal alles gut :)
_______
Grüßle,
Hans

Benutzeravatar

m-bostaurus
Forum Kenner
Forum Kenner
Beiträge: 203
Registriert: Mittwoch 18. Mai 2016, 19:44
Wohnort: Nürnberg
CPU: i5-6500 / i5
GPU: nVidia GTX 1070Ti / nVidia
Kernel: 501/419
DE: stable (LXQt, Mate, KDE, XFCE)
GPU Treiber: nVidia - proprietär auf beiden Rechnern
Hat sich bedankt: 10 Mal
Danksagung erhalten: 5 Mal

Re: 2019-04-28 - Gcc, Systemd, Kernels, Virtualbox, Qt5, Deepin (Stable Update)

#6

#6 Beitrag von m-bostaurus » Donnerstag 2. Mai 2019, 17:44

Abwesenheitsbedingt durfte ich an zwei aufeinanderfolgenden Tagen jeweils sieben Betriebssysteme, die ich dauernd in Verwendung habe, aktualisieren. Hinzu kam, dass wir uns entschieden hatten, einen alten Klapprechner wieder in Betrieb zu nehmen, auf dem drei Manjaros waren. Diese waren seit Mai 2018 nicht mehr geupdatet worden. Aber alles klappte mit Ausnahmen von Paketen aus dem AUR. Da half die Deinstallation von Shutter, und alles war gut.
Für eine saubere Statistik der oberen Angaben kann man sich also 9 weitere hinzudenken; ich habe nur einen Rechner angeklickt :D

Benutzeravatar

jopfoe
Neues Foren Mitglied
Neues Foren Mitglied
Beiträge: 17
Registriert: Donnerstag 18. April 2019, 19:19
CPU: 4 x Intel Core i5-2300 CPU @ 2.80 GHz
GPU: NVIDIA GF106 GeForce GT 440
Kernel: 4.19.32-1 MANDJARO
DE: KDE_Plasma 5.15.3
GPU Treiber: video-nvidia-390xx
Hat sich bedankt: 9 Mal

Re: 2019-04-28 - Gcc, Systemd, Kernels, Virtualbox, Qt5, Deepin (Stable Update)

#7

#7 Beitrag von jopfoe » Donnerstag 2. Mai 2019, 19:30

Ich ließ das Update allein laufen. Als ich zum PC zurück kam zeigte sich diese Meldung:
Die Bildschirmsperre ist gestört und die Sitzung kann nicht wieder freigegeben werden. Zum Freigeben wechseln Sie auf eine Konsole (z.B. Str+Alt+F2), melden Sie sich an und führen Sie den Befehl "loginctl unlock-session1" aus. Wechseln Sie dann wieder zur laufenden Sitzung (Strg+Alt+F1).
Den genannten Befehlen folgend, gelangte ich richtig zur laufenden Sitzung. Dort erhielt ich im Updatefenster die Meldung: "Befehl mit Fehlern abgebrochen". Beim Reboot ließ sich Manjaro nicht mehr starten. Leider habe ich versäumt, die Meldung zu fotografieren; die Begriffe "unknown device" und "create new root" waren enthalten. Da ich mir nicht anders zu helfen wusste, habe ich Manjaro neu installiert. Beim erneuten Update habe ich zuvor die Bildschirmsperre deaktiviert. Das Update lief ohne Probleme durch.

Antworten